Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowValException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.ValidationException
oracle.jbo.RowValException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class RowValException
extends ValidationException

Indicates that validation of a business object has failed.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.ValidationException
`mRowDefFullName`

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`` | `RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, com.sun.java.util.collections.ArrayList exceptions)`
`` | `RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, com.sun.java.util.collections.ArrayList exceptions, boolean peer)`
`` | `RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, AttributeDef[] keyCols)` Creates an exception to be localized using a given message bundle and error code.
`` | `RowValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, AttributeDef[] keyCols, java.lang.String methodName)` Creates an exception to be localized using a given message bundle and error code.
`protected` | `RowValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key, com.sun.java.util.collections.ArrayList exceptions, boolean peer)`

Method Summary
`void` | `doEntityToVOMapping(ApplicationModule rootAm, ViewObject[] vos)`
`int` | `getObjType()`
`java.lang.String` | `getObjTypeName()`
`Key` | `getRowKey()`

Methods inherited from class oracle.jbo.ValidationException
`getAttributeException, getRowDefFullName, hasAttributeException, raise, raise, raise, setRowDefFullName`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           com.sun.java.util.collections.ArrayList exceptions)

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           com.sun.java.util.collections.ArrayList exceptions,
                           boolean peer)

### RowValException

    protected RowValException(int objType,
                              java.lang.Class resBundleClass,
                              java.lang.String errorCode,
                              java.lang.String objName,
                              Key key,
                              com.sun.java.util.collections.ArrayList exceptions,
                              boolean peer)

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           AttributeDef[] keyCols)

  Creates an exception to be localized using a given message bundle and error code.
Parameters:
  `resBundleClass` - the message bundle.
  `errorCode` - the error code.
  `objName` - the object's name, the first message parameter.
  `key` - the object's key, the second message parameter.

### RowValException

    public RowValException(java.lang.Class resBundleClass,
                           java.lang.String errorCode,
                           java.lang.String objName,
                           Key key,
                           AttributeDef[] keyCols,
                           java.lang.String methodName)

  Creates an exception to be localized using a given message bundle and error code.
Parameters:
  `resBundleClass` - the message bundle.
  `errorCode` - the error code.
  `objName` - the object's name, the first message parameter.
  `key` - the object's key, the second message parameter.
  `methodName` - ???.

Method Detail

### getRowKey

    public Key getRowKey()

### getObjType

    public int getObjType()

### getObjTypeName

    public java.lang.String getObjTypeName()

### doEntityToVOMapping

    public void doEntityToVOMapping(ApplicationModule rootAm,
                                    ViewObject[] vos)

  Overrides:
    `doEntityToVOMapping` in class `JboException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.